<!DOCTYPE html>
<html>
<head>
	<title></title>
</head>
<body>

</body>
<script type="text/javascript">
	var x = 5;
	(function(){
		console.log(y);
		var x = 10;
		console.log(x);
	})();
		
	//answer undefined for first x because the var is not define before that;
	// 10 because variable is defined.
</script>
</html>